#include <bits/stdc++.h>

using namespace std;
map<int,int> c;

int main()
{
    ios_base::sync_with_stdio(false);
    int n, k, a; cin >> n >> k;
    vector<int> ans;
    for(int i=0;i<n;i++)
        cin >> a, c[a]++;
    for(int i=-n;i<=n;i++)
        if(c[i]>=k) ans.push_back(i);
    cout << ans.size() << endl;
    for(int i:ans) cout << i << " ";
    return 0;
}